Package: io.vertx.groovy.ext.web.handler

## [Groovy] Class JWTAuthHandler

- io.vertx.groovy.ext.web.handler.JWTAuthHandler

- All Implemented Interfaces and Traits:
    AuthHandler

      @groovy.transform.CompileStatic
      class JWTAuthHandler
      extends java.lang.Object

  An auth handler that provides JWT Authentication support.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JWTAuthHandler (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `AuthHandler` | `addAuthorities(java.util.Set<java.lang.String> authorities)` Add a set of required authorities for this auth handler
    `AuthHandler` | `addAuthority(java.lang.String authority)` Add a required authority for this auth handler
    `static JWTAuthHandler` | `create(JWTAuth authProvider)` Create a JWT auth handler
    `static JWTAuthHandler` | `create(JWTAuth authProvider, java.lang.String skip)` Create a JWT auth handler
    `java.lang.Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)`
    `JWTAuthHandler` | `setAudience(java.util.List<java.lang.String> audience)` Set the audience list
    `JWTAuthHandler` | `setIgnoreExpiration(boolean ignoreExpiration)` Set whether expiration is ignored
    `JWTAuthHandler` | `setIssuer(java.lang.String issuer)` Set the issuer

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### JWTAuthHandler(java.lang.Object delegate)

  - ### Method Detail

    - #### AuthHandler addAuthorities(java.util.Set<java.lang.String> authorities)

      Add a set of required authorities for this auth handler

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `authorities` - the set of authorities

    - #### AuthHandler addAuthority(java.lang.String authority)

      Add a required authority for this auth handler

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `authority` - the authority

    - #### static JWTAuthHandler create(JWTAuth authProvider)

      Create a JWT auth handler

      Returns:
        the auth handler
      Parameters:
        `authProvider` - the auth provider to use

    - #### static JWTAuthHandler create(JWTAuth authProvider, java.lang.String skip)

      Create a JWT auth handler

      Returns:
        the auth handler
      Parameters:
        `authProvider` - the auth provider to use.
        skip

    - #### java.lang.Object getDelegate()

    - #### void handle(RoutingContext arg0)

    - #### JWTAuthHandler setAudience(java.util.List<java.lang.String> audience)

      Set the audience list

      Returns:
        a reference to this for fluency
      Parameters:
        `audience` - the audience list

    - #### JWTAuthHandler setIgnoreExpiration(boolean ignoreExpiration)

      Set whether expiration is ignored

      Returns:
        a reference to this for fluency
      Parameters:
        `ignoreExpiration` - whether expiration is ignored

    - #### JWTAuthHandler setIssuer(java.lang.String issuer)

      Set the issuer

      Returns:
        a reference to this for fluency
      Parameters:
        `issuer` - the issuer